/* File: ClockEveryWhere.h
   ======================
 This is the main header file for ClockEveryWhere.  It contains misc. constants
 and structures that are relevant to the entire project.

	File
	----
	ClockEveryWhere.h

   History
   -------
   19/06/2000 Created
*/

#ifndef _ClockEveryWhere_h
#define _ClockEveryWhere_h

// ----------------------------------
// Constants...
// ----------------------------------

/* App type info */
#define	kCreatorCode			'RMal'
#define	kVersionNum				0x190
#define	kPrefIdNum				0

#define	kFeatureNumSecond				1
#define	kFeatureNumTicks				2
#define	kFeatureEvtGetEventTimeOut		3

/* constant */
#define	kClockAxisX				5
#define	kClockAxisY				5
#define kClockWidth				11
#define kDoubleClockWidth		22
#define kClockHeight			11

#define kInAlertClockPositionX	1
#define kInAlertClockPositionY	0
#define kGlobalClockPositionY	2

#define kScreenWidth			160

#define SafeStrLen(string) ( (Int16) ( (string)? StrLen(string) : 0 ) )

typedef struct _CEWpref_t
{
	UInt8		DisplayIfNameIsNumberControlvalue;
	UInt8		DisplayAlertClockControlvalue;
	UInt8		BlinkingSecondControlvalue;
	UInt8		AnalogClockControlvalue;
	UInt8		WhiteBackgroundControlvalue;
	UInt8		DisplayAlertClockRightControlvalue;
	UInt8		DisplayAnalogOn12Hour;
	UInt8		Add0Before1To9;
	UInt8    DisplayIsInColor;
	UInt8		FontInBold;
} CEWpref_t;

#endif // _ClockEveryWhere
